# 获取漏斗分析数据

## URL

[https://www.growingio.com/v2/projects/{project\_uid}/funnels/{funnel\_id}.json](https://www.growingio.com/v2/projects/%7Bproject_uid%7D/funnels/%7Bfunnel_id%7D.json)

## 请求类型

GET

## 请求头参数

公共头部请参考[公共请求头参数](https://growingio.gitbook.io/v3/developer-manual/api-reference/authenticate)。

## 参数说明与示例

{% tabs %}
{% tab title="请求参数" %}

| 路径参数         | 类型     | 是否必传 | 说明        |
| ------------ | ------ | ---- | --------- |
| funnel\_id   | string | 是    | 漏斗分析单图ID。 |
| project\_uid | string | 是    | 项目UID。    |

| 查询参数 | 类型 | 是否必传 | 说明 |
| ---- | -- | ---- | -- |

| conversionWindow | integer | 否 | 转化周期 |
| ---------------- | ------- | - | ---- |

| startTime | integer | 否 | <p>数据起始时间，unix毫秒时间戳。</p><p>需与endTime一起使用。</p> |
| --------- | ------- | - | --------------------------------------------- |

| endTime      | integer | 否 | <p>数据结束时间，unix毫秒时间戳。</p><p>需与startTime一起使用。</p> |
| ------------ | ------- | - | ----------------------------------------------- |
| {% endtab %} |         |   |                                                 |

{% tab title="响应示例" %}
200：OK

```
{
"id":  "Funnel Uid",
"name":  "Funnel Name",
"conversionWindow":  1,
"startTime":  1571068800000,
"endTime":  1572278399999,
"interval":  86400000,
"meta":  [
    {"name":"目标用户","dimension":true},
    {"name":"时间","dimension":true},
    {"name":"总转化率","metric":true},
    {"name":"第一步人数","metric":true},
    {"name":"第一步转化率","metric":true},
    ...
    {"name":"最后一步人数","metric":true},
    {"name":"最后一步转化率","metric":true}
]
"data":  [
    [目标用户, 时间, 总转化率, 第一步人数, ... , 最后一步转化率],
    [目标用户, 时间, 总转化率, 第一步人数, ... , 最后一步转化率],
    ...
]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://growingio.gitbook.io/v3/developer-manual/api-reference/statistics-api/definition/getfunnel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
